declare const CROSSMINT_API_KEY_SIGNER_PUBLICKEY_STAGING = "3hSfN4dWSwgCg1uf2yytBtK6KxK3ySFKasd2h9J2vSK5";
declare const CROSSMINT_API_KEY_SIGNER_PUBLICKEY_PROD = "8erZh8YApGck3iUSUHqATBxqMTM1Ukp9mHmvGgUWHtkK";

declare const APIKeyUsageOriginPrefix: {
    readonly CLIENT: "ck";
    readonly SERVER: "sk";
};
type APIKeyUsageOriginPrefix = (typeof APIKeyUsageOriginPrefix)[keyof typeof APIKeyUsageOriginPrefix];
declare const APIKeyEnvironmentPrefix: {
    readonly DEVELOPMENT: "development";
    readonly STAGING: "staging";
    readonly PRODUCTION: "production";
};
type APIKeyEnvironmentPrefix = (typeof APIKeyEnvironmentPrefix)[keyof typeof APIKeyEnvironmentPrefix];
type APIKeyPrefix = `${APIKeyUsageOriginPrefix}_${APIKeyEnvironmentPrefix}`;
declare const APIKeyUsageOrigin: {
    readonly CLIENT: "client";
    readonly SERVER: "server";
};
type APIKeyUsageOrigin = (typeof APIKeyUsageOrigin)[keyof typeof APIKeyUsageOrigin];

declare function usageOriginToPrefix(usageOrigin: APIKeyUsageOrigin): APIKeyUsageOriginPrefix;
declare function environmentToExpectedPublicKey(environment?: APIKeyEnvironmentPrefix): string | null;

type ValidateAPIKeyPrefixResult = ({
    isValid: true;
} & ValidateAPIKeyPrefixSuccessData) | {
    isValid: false;
    message: string;
};
type ValidateAPIKeyPrefixSuccessData = {
    usageOrigin: APIKeyUsageOrigin;
    environment: APIKeyEnvironmentPrefix;
    prefix: APIKeyPrefix;
};
type ValidateAPIKeyPrefixExpectations = {
    usageOrigin?: APIKeyUsageOrigin;
    environment?: APIKeyEnvironmentPrefix;
};
declare function validateAPIKeyPrefix(apiKey: string, expectations?: ValidateAPIKeyPrefixExpectations): ValidateAPIKeyPrefixResult;

type ValidateAPIKeyResult = ({
    isValid: true;
    projectId: string;
} & ValidateAPIKeyPrefixSuccessData) | {
    isValid: false;
    message: string;
};
declare function validateAPIKey(apiKey: string, expectations?: ValidateAPIKeyPrefixExpectations): ValidateAPIKeyResult;

type UserIdentifierParams = {
    email?: string;
    userId?: string;
    phoneNumber?: string;
};
type UserIdentifier = {
    type: "whiteLabel";
    userId: string;
} | {
    type: "email";
    email: string;
} | {
    type: "phoneNumber";
    phoneNumber: string;
};

export { APIKeyEnvironmentPrefix, APIKeyPrefix, APIKeyUsageOrigin, APIKeyUsageOriginPrefix, CROSSMINT_API_KEY_SIGNER_PUBLICKEY_PROD, CROSSMINT_API_KEY_SIGNER_PUBLICKEY_STAGING, UserIdentifier, UserIdentifierParams, ValidateAPIKeyPrefixExpectations, ValidateAPIKeyPrefixResult, ValidateAPIKeyPrefixSuccessData, ValidateAPIKeyResult, environmentToExpectedPublicKey, usageOriginToPrefix, validateAPIKey, validateAPIKeyPrefix };
